Home » Php » php zip installation on linux

php zip installation on linux

Posted by: admin July 12, 2020 Leave a comment

Questions:
>pecl install zip

got the following error:

checking for the location of zlib... configure: error: zip support requires ZLIB.
Use --with-zlib-dir=<DIR> to specify prefix where ZLIB include and library are located

what does this mean?

How to&Answers:

The PHP zip functionality relies on the ZLIB libary, you need to install it first.

Answer:

Sounds like your PHP installation wasn’t compiled with zlib support. You may have to reconfigure PHP. From the manual:

Zlib support in PHP is not enabled by default. You will need to configure PHP –with-zlib[=DIR]